Skip to content
Basenet
🇳🇱 Nederlands
Esc
↑↓navigate↵open⌘Jpreview

Get a matter (scope matters:read)

GET/api/v1/matters/{id}
Authorization
AuthorizationBearer token · headerrequired

Scoped API token (bnx_…). Required scopes are noted per operation.

Path parameters
idstringrequired
Responses
200

Single resource

idstringrequired
numberstringrequired
namestringrequired
statusstringrequired
flavorstringrequired
practiceAreastring | nullrequired
departmentIdstring | nullrequired
accessLevelIdstring | nullrequired
solicitorResponsibleRelationIdstring | nullrequired
startDatestring | nullrequired
closedDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legalAidobject
Show properties
presentbooleanrequired
stagestringrequired
Allowed:nonerequestedassigned
hourlyFromstring | nullrequired
continuesAsHoursMatterbooleanrequired

Deprecated: derived as hourlyFrom !== null. Prefer hourlyFrom for the dated switch.

filterstringrequired
Allowed:yesnohours
401

Unauthenticated

errorstringrequired
codestringrequired
rulestring
403

Forbidden (missing scope or permission)

errorstringrequired
codestringrequired
rulestring
404

Not found

errorstringrequired
codestringrequired
rulestring
429

Rate limited

errorstringrequired
codestringrequired
rulestring
Request
curl -X GET '/api/v1/matters/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "string",
  "number": "string",
  "name": "string",
  "status": "string",
  "flavor": "string",
  "practiceArea": "string",
  "departmentId": "string",
  "accessLevelId": "string",
  "solicitorResponsibleRelationId": "string",
  "startDate": "string",
  "closedDate": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "legalAid": {
    "present": true,
    "stage": "none",
    "hourlyFrom": "string",
    "continuesAsHoursMatter": true,
    "filter": "yes"
  }
}